export interface IDeviceController {
    connected: boolean;
    UART: any;
    deviceType: string | undefined;
    Call: any;
    Pin: Pin;
    connect(callback: Function): void;
    disconnect(callback: Function): void;
    reset(): void;
    dump(): Promise<string>;
    getDeviceType(): Promise<string>;
    getBattery(): Promise<number>;
    eval<T>(code: string): Promise<T>;
    upload(url: string, flash: boolean): void;
    getDeviceFunctions(): Promise<void>;
}
export interface PinInfo {
    port: string;
    num: number;
    in_addr: number;
    out_addr: number;
    analog: {
        ADCs: number[];
        channel: number;
    };
    functions: {
        TIM1: {
            type: string;
            af: number;
        };
        I2C3: {
            type: string;
            af: number;
        };
    };
}
export interface Pin {
    val(pin: string): Promise<string>;
    analogOn(pin: string, val: number): void;
    digitalOn(pin: string, val: number): void;
    digitalToggle(pin: string): void;
    reset(pin: string): void;
    getInfo(pin: string): Promise<PinInfo>;
}
export declare type digitalVals = 0 | 1;
